#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup, find_packages

name = 'erp5.utils.benchmark'
version = '0.2'

setup(
  name=name,
  version=version,
  description="Performance benchmarks for ERP5 with erp5.utils.test_browser",
  author='Arnaud Fontaine',
  author_email='arnaud.fontaine@nexedi.com',
  license='GPL version 2',
  install_requires = ['erp5.utils.test_browser', 'argparse'],
  extra_requires = {'report': ['matplotlib', 'numpy']},
  package_dir={'':'src'},
  packages=find_packages('src'),
  namespace_packages=['erp5', 'erp5.utils'],
  entry_points = {
    'console_scripts': [
      'runBenchmark = erp5.utils.benchmark.runBenchmark:runBenchmark',
      'scalability_tester_erp5 = erp5.utils.benchmark.runBenchmark:runTester',
      'generateReport = erp5.utils.benchmark.generateReport:generateReport']
  },
  include_package_data=True,
  classifiers=[
    'Environment :: Web Environment',
    'Intended Audience :: Developers',
    'License :: OSI Approved :: GNU General Public License (GPL)',
    'Programming Language :: Python',
    'Topic :: Internet :: WWW/HTTP',
    'Topic :: Software Development :: Testing',
  ],
  url='http://www.erp5.org/',
)
